Get inventory receipts Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/inventory/receipts

Retrieve inventory receipt history for seller items within a specified time range. Receipts represent new inventory received into warehouses.

Query parameters

  • start_time string Required

    Start date for receipt range (YYYY-MM-DD)

  • end_time string Required

    End date for receipt range (YYYY-MM-DD)

  • mpn string

    Manufacturer Part Number to filter items

  • upc string

    Universal Product Code to filter items

  • ean string

    European Article Number to filter items

  • item_id string

    Item master ID to filter items

  • per_page integer

    Number of items per page (default: 50)

  • page integer Required

    Page number for pagination

Responses

  • 200 application/json

    receipts retrieved successfully

    Hide response attributes Show response attributes object
    • mpn string | null

      Item mpn

    • upc string | null

      Item upc

    • ean string | null

      Item ean

    • item_id string

      Item master_id

    • warehouse_name string

      Warehouse name

    • warehouse_id integer

      Warehouse id

    • transaction_id integer

      Transaction id

    • status string

      Inventory status

    • lot string | null

      Lot number

    • expiration string | null

      Expiration date

    • time string

      Receipt time

    • quantity integer

      Quantity received

    • ir_number string | null

      Inventory Request number

GET /v1/inventory/receipts
curl \
 --request GET 'https://api.pattern.com/hub/v1/inventory/receipts?start_time=string&end_time=string&page=42' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "mpn": "string",
    "upc": "string",
    "ean": "string",
    "item_id": "string",
    "warehouse_name": "string",
    "warehouse_id": 42,
    "transaction_id": 42,
    "status": "string",
    "lot": "string",
    "expiration": "string",
    "time": "string",
    "quantity": 42,
    "ir_number": "string"
  }
]